Loading...
Searching...
No Matches
XrdFrcXLock Class Reference

`#include <XrdFrcXLock.hh>`

Collaboration diagram for XrdFrcXLock:

## Public Member Functions

| XrdFrcXLock ()
| ~XrdFrcXLock ()

## Static Public Member Functions

static int | Init (const char *aPath)

## Detailed Description

Definition at line 35 of file XrdFrcXLock.hh.

## Constructor & Destructor Documentation

## XrdFrcXLock()

XrdFrcXLock::XrdFrcXLock | ( |  | ) |

inline

Definition at line 44 of file XrdFrcXLock.hh.

{XrdOucSxeq::Serialize(lkFD, 0);}
XrdOucSxeq::Serialize
int Serialize(int Opts=0)
Definition XrdOucSxeq.cc:165

References XrdOucSxeq::Serialize().

Here is the call graph for this function:

## ~XrdFrcXLock()

XrdFrcXLock::~XrdFrcXLock | ( |  | ) |

inline

Definition at line 45 of file XrdFrcXLock.hh.

{XrdOucSxeq::Release(lkFD);}
XrdOucSxeq::Release
int Release()
Definition XrdOucSxeq.cc:106

References XrdOucSxeq::Release().

Here is the call graph for this function:

## Member Function Documentation

## Init()

int XrdFrcXLock::Init | ( | const char * | aPath | ) |

inline static

Definition at line 39 of file XrdFrcXLock.hh.

{XrdOucSxeq mySxeq(".frmxeq", 0, aPath);
return ((lkFD = mySxeq.Detach()) >= 0);
}

References XrdOucSxeq::Detach().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- XrdFrcXLock.hh